Glib::Container_Helpers::SListHandleIterator< Tr > Class Template Reference
Generic container converters » Helper classes

`#include <glibmm/slisthandle.h>`

## Public Types

using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::forward_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions

| SListHandleIterator (const GSList* node)
value_type | operator* () const
SListHandleIterator< Tr >& | operator++ ()
const SListHandleIterator< Tr > | operator++ (int)
bool | operator== (const SListHandleIterator< Tr >& rhs) const
bool | operator!= (const SListHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::CppType = typename Tr::CppType

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::CType = typename Tr::CType

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::difference_type = std::ptrdiff_t

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::iterator_category = std::forward_iterator_tag

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::pointer = void

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::reference = value_type

template <class Tr >

using Glib::Container_Helpers::SListHandleIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::SListHandleIterator< Tr >::SListHandleIterator | ( | const GSList * | node | ) |

inline explicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::SListHandleIterator< Tr >::operator!= | ( | const SListHandleIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

value_type Glib::Container_Helpers::SListHandleIterator< Tr >::operator* | ( |  | ) | const

inline

template <class Tr >

SListHandleIterator<Tr>& Glib::Container_Helpers::SListHandleIterator< Tr >::operator++ | ( |  | ) |

inline

template <class Tr >

const SListHandleIterator<Tr> Glib::Container_Helpers::SListHandleIterator< Tr >::operator++ | ( | int |  | ) |

inline

template <class Tr >

bool Glib::Container_Helpers::SListHandleIterator< Tr >::operator== | ( | const SListHandleIterator< Tr >& | rhs | ) | const

inline